MavenDeployment (Gradle API 4.9)
Date: 2018-07-16

org.gradle.api.artifacts.maven

## Interface MavenDeployment

-     public interface MavenDeployment

  Represents the artifacts which will be deployed to a Maven repository. You can use this interface to modify the set of artifacts.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addArtifact(PublishArtifact artifact)` Adds an additional artifact to this deployment.
    `String` | `getArtifactId()` Returns the artifact ID for this deployment.
    `Set<PublishArtifact>` | `getArtifacts()` Returns the artifacts which will be deployed.
    `Set<PublishArtifact>` | `getAttachedArtifacts()` Returns the additional artifacts for this deployment.
    `String` | `getGroupId()` Returns the group ID for this deployment.
    `PublishArtifact` | `getMainArtifact()` Returns the main artifact for this deployment.
    `String` | `getPackaging()` Returns the packaging for this deployment.
    `PublishArtifact` | `getPomArtifact()` Returns the POM for this deployment.
    `String` | `getVersion()` Returns the version for this deployment.

- - ### Method Detail

    - #### getPackaging

          @Incubating
          String getPackaging()

      Returns the packaging for this deployment.
      Returns:
        The packaging. Never null.
      Since:
        4.8

    - #### getGroupId

          @Incubating
          String getGroupId()

      Returns the group ID for this deployment.
      Returns:
        The group ID. Never null.
      Since:
        4.8

    - #### getArtifactId

          @Incubating
          String getArtifactId()

      Returns the artifact ID for this deployment.
      Returns:
        The artifact ID. Never null.
      Since:
        4.8

    - #### getVersion

          @Incubating
          String getVersion()

      Returns the version for this deployment.
      Returns:
        The version. Never null.
      Since:
        4.8

    - #### getPomArtifact

          PublishArtifact getPomArtifact()

      Returns the POM for this deployment.
      Returns:
        The POM. Never null.

    - #### getMainArtifact

          PublishArtifact getMainArtifact()

      Returns the main artifact for this deployment.
      Returns:
        The main artifact. May be null.

    - #### getArtifacts

          Set<PublishArtifact> getArtifacts()

      Returns the artifacts which will be deployed. Includes the POM artifact.
      Returns:
        The artifacts. Never null.

    - #### addArtifact

          void addArtifact(PublishArtifact artifact)

      Adds an additional artifact to this deployment.
      Parameters:
        `artifact` - The artifact to add.

    - #### getAttachedArtifacts

          Set<PublishArtifact> getAttachedArtifacts()

      Returns the additional artifacts for this deployment.
      Returns:
        the additional artifacts for this deployment. Never null.